from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XActionLockable(XInterface, Protocol):
    def isActionLocked(self) -> bool: ...
    def addActionLock(self) -> None: ...
    def removeActionLock(self) -> None: ...
    def setActionLocks(self, nLock: int) -> None: ...
    def resetActionLocks(self) -> int: ...
